#ifndef LogWindow_h
#define LogWindow_h

#include <QDialog>
#include "ui_LogWindow.h"

class LibAard;
class LogViewer;

class LogWindow : public QDialog {

   Q_OBJECT

public:

   LogWindow(LibAard * aard_device, QWidget * parent = 0);

   ~LogWindow();

private slots:

   void
   doClose();

   void
   doDiscard();

private:

   LogViewer * my_viewer;

   Ui::LogWindow ui;
};

#endif // LogWindow_h
